[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Problem building images for GTK frontend



On Thursday 20 October 2005 13:30, Frans Pop wrote:
> The following packages have unmet dependencies:
>   libdirectfb-0.9-22-udeb: Depends: libfreetype6 (>= 2.1.5-1)
>                            Depends: libpng12-0 (>= 1.2.8rel)
>                            Depends: zlib1g (>= 1:1.2.1)
>   libfreetype6-udeb: Depends: zlib1g (>= 1:1.2.1)
>   libpango1.0-udeb: Depends: libfontconfig1 (>= 2.3.0)
>                     Depends: libfreetype6 (>= 2.1.5-1)
>                     Depends: zlib1g (>= 1:1.2.1)

Joey advised to make sure these libs are installed on the system as this 
works for current images.

However, there appears to be a catch.

If the udeb providing a lib is included in the list of packages to be 
downloaded, having the lib installed on the system no longer works.

For example zlib1g. The s/390 images use SSH and the openssh-server-udeb 
depends zlib1g (>= 1:1.2.1). That lib is in the build depends and 
installed on the system and all is well.

The 3 libs above also depends on zlib1g, but I also have libpng12-0-udeb 
which depends zlib1g-udeb. Thus the udeb gets listed in Needed packages 
and the magic no longer works.

IMO we need a solution for this.

Cheers,
FJP

Attachment: pgppJTvwwK074.pgp
Description: PGP signature


Reply to: